<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>py_arg.labels package &mdash; PyArg  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="py_arg.logic package" href="py_arg.logic.html" />
    <link rel="prev" title="py_arg.generators.abstract_argumentation_framework_generators package" href="py_arg.generators.abstract_argumentation_framework_generators.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> PyArg
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation instructions</a></li>
<li class="toctree-l1"><a class="reference internal" href="example_usage.html">Example Usage</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">PyArg Module Overview</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="py_arg.html">py_arg package</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="py_arg.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html">py_arg.abstract_argumentation_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html">py_arg.dynamic_aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.explanation.html">py_arg.explanation package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.html">py_arg.generators package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">py_arg.labels package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.utils.html">py_arg.utils package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="py_arg.html#module-py_arg">Module contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PyArg</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">PyArg Module Overview</a> &raquo;</li>
          <li><a href="py_arg.html">py_arg package</a> &raquo;</li>
      <li>py_arg.labels package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/py_arg.labels.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="py-arg-labels-package">
<h1>py_arg.labels package<a class="headerlink" href="#py-arg-labels-package" title="Permalink to this headline"></a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline"></a></h2>
</section>
<section id="module-py_arg.labels.enum_stability_label">
<span id="py-arg-labels-enum-stability-label-module"></span><h2>py_arg.labels.enum_stability_label module<a class="headerlink" href="#module-py_arg.labels.enum_stability_label" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.labels.enum_stability_label.EnumStabilityLabel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.labels.enum_stability_label.</span></span><span class="sig-name descname"><span class="pre">EnumStabilityLabel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.labels.enum_stability_label.EnumStabilityLabel" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">enum.Enum</span></code></p>
<p>An enumeration.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="py_arg.labels.enum_stability_label.EnumStabilityLabel.BLOCKED">
<span class="sig-name descname"><span class="pre">BLOCKED</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">4</span></em><a class="headerlink" href="#py_arg.labels.enum_stability_label.EnumStabilityLabel.BLOCKED" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="py_arg.labels.enum_stability_label.EnumStabilityLabel.DEFENDED">
<span class="sig-name descname"><span class="pre">DEFENDED</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">2</span></em><a class="headerlink" href="#py_arg.labels.enum_stability_label.EnumStabilityLabel.DEFENDED" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="py_arg.labels.enum_stability_label.EnumStabilityLabel.OUT">
<span class="sig-name descname"><span class="pre">OUT</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">3</span></em><a class="headerlink" href="#py_arg.labels.enum_stability_label.EnumStabilityLabel.OUT" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="py_arg.labels.enum_stability_label.EnumStabilityLabel.UNSATISFIABLE">
<span class="sig-name descname"><span class="pre">UNSATISFIABLE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">1</span></em><a class="headerlink" href="#py_arg.labels.enum_stability_label.EnumStabilityLabel.UNSATISFIABLE" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="py_arg.labels.enum_stability_label.EnumStabilityLabel.UNSTABLE">
<span class="sig-name descname"><span class="pre">UNSTABLE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">5</span></em><a class="headerlink" href="#py_arg.labels.enum_stability_label.EnumStabilityLabel.UNSTABLE" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.labels.four_bool_stability_label">
<span id="py-arg-labels-four-bool-stability-label-module"></span><h2>py_arg.labels.four_bool_stability_label module<a class="headerlink" href="#module-py_arg.labels.four_bool_stability_label" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.labels.four_bool_stability_label.</span></span><span class="sig-name descname"><span class="pre">FourBoolStabilityLabel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">unsatisfiable</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">defended</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">out</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">blocked</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <a class="reference internal" href="#py_arg.labels.label.Label" title="py_arg.labels.label.Label"><code class="xref py py-class docutils literal notranslate"><span class="pre">py_arg.labels.label.Label</span></code></a></p>
<dl class="py method">
<dt class="sig sig-object py" id="py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.from_str">
<em class="property"><span class="pre">classmethod</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">from_str</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">label_str</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.from_str" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.is_contested_stable">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">is_contested_stable</span></span><a class="headerlink" href="#py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.is_contested_stable" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.is_stable">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">is_stable</span></span><a class="headerlink" href="#py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.is_stable" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.is_stable_defended">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">is_stable_defended</span></span><a class="headerlink" href="#py_arg.labels.four_bool_stability_label.FourBoolStabilityLabel.is_stable_defended" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.labels.label">
<span id="py-arg-labels-label-module"></span><h2>py_arg.labels.label module<a class="headerlink" href="#module-py_arg.labels.label" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.labels.label.Label">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.labels.label.</span></span><span class="sig-name descname"><span class="pre">Label</span></span><a class="headerlink" href="#py_arg.labels.label.Label" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
</dd></dl>

</section>
<section id="module-py_arg.labels.literal_labels">
<span id="py-arg-labels-literal-labels-module"></span><h2>py_arg.labels.literal_labels module<a class="headerlink" href="#module-py_arg.labels.literal_labels" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.labels.literal_labels.LiteralLabels">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.labels.literal_labels.</span></span><span class="sig-name descname"><span class="pre">LiteralLabels</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">literal_labeling</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.literal.Literal" title="py_arg.aspic_classes.literal.Literal"><span class="pre">py_arg.aspic_classes.literal.Literal</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="#py_arg.labels.label.Label" title="py_arg.labels.label.Label"><span class="pre">py_arg.labels.label.Label</span></a><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.labels.literal_labels.LiteralLabels" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
</dd></dl>

</section>
<section id="module-py_arg.labels.potential_argument_label">
<span id="py-arg-labels-potential-argument-label-module"></span><h2>py_arg.labels.potential_argument_label module<a class="headerlink" href="#module-py_arg.labels.potential_argument_label" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.labels.potential_argument_label.PotentialArgumentLabel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.labels.potential_argument_label.</span></span><span class="sig-name descname"><span class="pre">PotentialArgumentLabel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">in_arguments</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">in_necessary_grounded_extension</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">in_possible_grounded_extension</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">defeated_by_necessary_grounded_extension</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">defeated_by_possible_grounded_extension</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.labels.potential_argument_label.PotentialArgumentLabel" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <a class="reference internal" href="#py_arg.labels.label.Label" title="py_arg.labels.label.Label"><code class="xref py py-class docutils literal notranslate"><span class="pre">py_arg.labels.label.Label</span></code></a></p>
</dd></dl>

</section>
<section id="module-py_arg.labels.potential_argument_labels">
<span id="py-arg-labels-potential-argument-labels-module"></span><h2>py_arg.labels.potential_argument_labels module<a class="headerlink" href="#module-py_arg.labels.potential_argument_labels" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.labels.potential_argument_labels.PotentialArgumentLabels">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.labels.potential_argument_labels.</span></span><span class="sig-name descname"><span class="pre">PotentialArgumentLabels</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">potential_argument_labeling</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument" title="py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument"><span class="pre">py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="#py_arg.labels.potential_argument_label.PotentialArgumentLabel" title="py_arg.labels.potential_argument_label.PotentialArgumentLabel"><span class="pre">py_arg.labels.potential_argument_label.PotentialArgumentLabel</span></a><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.labels.potential_argument_labels.PotentialArgumentLabels" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
</dd></dl>

</section>
<section id="module-py_arg.labels">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-py_arg.labels" title="Permalink to this headline"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="py_arg.generators.abstract_argumentation_framework_generators.html" class="btn btn-neutral float-left" title="py_arg.generators.abstract_argumentation_framework_generators package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="py_arg.logic.html" class="btn btn-neutral float-right" title="py_arg.logic package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, AnneMarie Borg and Daphne Odekerken.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>